'use strict';
const meta = require('./.article.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 文章
class ArticleController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.article;
  }

  async index() {
    const { data, total } = await this.service.query(this.ctx.query);
    this.ctx.ok({ data, total });
  }
}
module.exports = CrudController(ArticleController, meta);
